Skip to main content
PATCH
/
api
/
v1
/
quotes
/
{id}
Update a quote
curl --request PATCH \
  --url https://api.raul.ugps.io/api/v1/quotes/{id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "prospect_name": "<string>",
  "prospect_email": "<string>",
  "prospect_phone": "<string>",
  "prospect_company": "<string>",
  "client_id": "<string>",
  "discount_type": "percentage",
  "discount_value": 123,
  "validity_days": 123,
  "public_notes": "<string>",
  "private_notes": "<string>",
  "status": "draft",
  "pipeline_stage_id": "<string>",
  "blocks": [
    {
      "type": "sale",
      "title": "<string>",
      "items": [
        {
          "plan_id": 123,
          "plan_name": "<string>",
          "gps_name": "<string>",
          "monthly_price": 123,
          "setup_price": 123,
          "quantity": 1,
          "contract_months": 123,
          "accessories": [
            {
              "accessory_id": 123,
              "name": "<string>",
              "monthly_price": 123,
              "setup_price": 123,
              "visible_to_client": true
            }
          ]
        }
      ],
      "order": 0
    }
  ],
  "updated_by": "<string>"
}
'

Path Parameters

id
string
required

Quote UUID

Body

application/json
prospect_name
string

Prospect/contact name

prospect_email
string

Prospect email

prospect_phone
string

Prospect phone

prospect_company
string

Prospect company name

client_id
string

Existing client UUID if linked

discount_type
enum<string>

Discount type

Available options:
percentage,
fixed
discount_value
number

Discount value (percentage 0-100 or fixed amount)

validity_days
number

Days until quote expires

public_notes
string

Notes visible to client in PDF

private_notes
string

Internal notes (not visible to client)

status
enum<string>

Quote status

Available options:
draft,
sent,
accepted,
rejected,
expired
pipeline_stage_id
string

Pipeline stage UUID

blocks
object[]

Quote blocks (replaces all existing blocks)

updated_by
string

User UUID updating the quote

Response

Quote updated successfully